お知らせ

  • 利用規約を守って投稿してください。また、よくある質問および投稿の手引きも参照してください。
  • メッセージの投稿にはアカウントが必要です。未登録の方は、ユーザ登録ページからアカウントを作成することができます。

#1 2011-11-21 13:46:39

sk0809
新しいメンバ
From: chiba
登録日: 2011-11-21

Ubunt 9.04からアップデートが出来ない

はじめまして、初めて投稿をする sk0809 と申しますよろしくお願いします。

Ubunt 9.04 をインストールして WindowsXP とデュアルブートで使用しています

Ubunt 9.04 上でアップグレードしようとするも以下のエラーが出てアップグレードが出来ません。

アップグレードができません
An upgrade from jaunty to lucid is not supported with this tool

アップグレード方法の詳細
システム → システム管理 → アップデートマネージャ → 再チェックボタンをクリック

全てまたは一部のリポジトリのインデックスファイルがダウンロードできませんでした。
白枠の中に以下の情報が出ます。

GG error: http://ppa.launchpad.net jaunty Release: 公開鍵を利用できないため、以下の署名は検証できませんでした: NO_PUBKEY 778978B00F7992B0http://jp.archive.ubuntu.com/ubuntu/dists/jaunty/main/binary-i386/Packages の取得に失敗しました  404 Not Found
http://jp.archive.ubuntu.com/ubuntu/dists/jaunty/restricted/binary-i386/Packages の取得に失敗しました  404 Not Found
http://jp.archive.ubuntu.com/ubuntu/dists/jaunty/restricted/source/Sources の取得に失敗しました  404 Not Found
http://jp.archive.ubuntu.com/ubuntu/dists/jaunty/main/source/Sources の取得に失敗しました  404 Not Found
http://jp.archive.ubuntu.com/ubuntu/dists/jaunty/multiverse/source/Sources の取得に失敗しました  404 Not Found
http://jp.archive.ubuntu.com/ubuntu/dists/jaunty/universe/source/Sources の取得に失敗しました  404 Not Found
http://jp.archive.ubuntu.com/ubuntu/dists/jaunty/universe/binary-i386/Packages の取得に失敗しました  404 Not Found
http://jp.archive.ubuntu.com/ubuntu/dists/jaunty/multiverse/binary-i386/Packages の取得に失敗しました  404 Not Found
http://jp.archive.ubuntu.com/ubuntu/dists/jaunty-updates/main/binary-i386/Packages の取得に失敗しました  404 Not Found
http://jp.archive.ubuntu.com/ubuntu/dists/jaunty-updates/restricted/binary-i386/Packages の取得に失敗しました  404 Not Found
http://jp.archive.ubuntu.com/ubuntu/dists/jaunty-updates/restricted/source/Sources の取得に失敗しました  404 Not Found
http://jp.archive.ubuntu.com/ubuntu/dists/jaunty-updates/main/source/Sources の取得に失敗しました  404 Not Found
http://jp.archive.ubuntu.com/ubuntu/dists/jaunty-updates/multiverse/source/Sources の取得に失敗しました  404 Not Found
http://jp.archive.ubuntu.com/ubuntu/dists/jaunty-updates/universe/source/Sources の取得に失敗しました  404 Not Found
http://jp.archive.ubuntu.com/ubuntu/dists/jaunty-updates/universe/binary-i386/Packages の取得に失敗しました  404 Not Found
http://jp.archive.ubuntu.com/ubuntu/dists/jaunty-updates/multiverse/binary-i386/Packages の取得に失敗しました  404 Not Found
http://jp.archive.ubuntu.com/ubuntu/dists/jaunty-proposed/restricted/binary-i386/Packages の取得に失敗しました  404 Not Found
http://jp.archive.ubuntu.com/ubuntu/dists/jaunty-proposed/main/binary-i386/Packages の取得に失敗しました  404 Not Found
http://jp.archive.ubuntu.com/ubuntu/dists/jaunty-proposed/multiverse/binary-i386/Packages の取得に失敗しました  404 Not Found
http://jp.archive.ubuntu.com/ubuntu/dists/jaunty-proposed/universe/binary-i386/Packages の取得に失敗しました  404 Not Found
http://jp.archive.ubuntu.com/ubuntu/dists/jaunty-proposed/restricted/source/Sources の取得に失敗しました  404 Not Found
http://jp.archive.ubuntu.com/ubuntu/dists/jaunty-proposed/main/source/Sources の取得に失敗しました  404 Not Found
http://jp.archive.ubuntu.com/ubuntu/dists/jaunty-proposed/multiverse/source/Sources の取得に失敗しました  404 Not Found
http://jp.archive.ubuntu.com/ubuntu/dists/jaunty-proposed/universe/source/Sources の取得に失敗しました  404 Not Found
http://jp.archive.ubuntu.com/ubuntu/dists/jaunty-backports/restricted/binary-i386/Packages の取得に失敗しました  404 Not Found
http://jp.archive.ubuntu.com/ubuntu/dists/jaunty-backports/main/binary-i386/Packages の取得に失敗しました  404 Not Found
http://jp.archive.ubuntu.com/ubuntu/dists/jaunty-backports/multiverse/binary-i386/Packages の取得に失敗しました  404 Not Found
http://jp.archive.ubuntu.com/ubuntu/dists/jaunty-backports/universe/binary-i386/Packages の取得に失敗しました  404 Not Found
http://jp.archive.ubuntu.com/ubuntu/dists/jaunty-backports/restricted/source/Sources の取得に失敗しました  404 Not Found
http://jp.archive.ubuntu.com/ubuntu/dists/jaunty-backports/main/source/Sources の取得に失敗しました  404 Not Found
http://jp.archive.ubuntu.com/ubuntu/dists/jaunty-backports/multiverse/source/Sources の取得に失敗しました  404 Not Found
http://jp.archive.ubuntu.com/ubuntu/dists/jaunty-backports/universe/source/Sources の取得に失敗しました  404 Not Found
http://security.ubuntu.com/ubuntu/dists/jaunty-security/main/binary-i386/Packages の取得に失敗しました  404 Not Found [IP: 91.189.92.166 80]
http://security.ubuntu.com/ubuntu/dists/jaunty-security/restricted/binary-i386/Packages の取得に失敗しました  404 Not Found [IP: 91.189.92.166 80]
http://security.ubuntu.com/ubuntu/dists/jaunty-security/restricted/source/Sources の取得に失敗しました  404 Not Found [IP: 91.189.92.166 80]
http://security.ubuntu.com/ubuntu/dists/jaunty-security/main/source/Sources の取得に失敗しました  404 Not Found [IP: 91.189.92.166 80]
http://security.ubuntu.com/ubuntu/dists/jaunty-security/multiverse/source/Sources の取得に失敗しました  404 Not Found [IP: 91.189.92.166 80]
http://security.ubuntu.com/ubuntu/dists/jaunty-security/universe/source/Sources の取得に失敗しました  404 Not Found [IP: 91.189.92.166 80]
http://security.ubuntu.com/ubuntu/dists/jaunty-security/universe/binary-i386/Packages の取得に失敗しました  404 Not Found [IP: 91.189.92.166 80]
http://archive.ubuntu.com/ubuntu/dists/jaunty/main/source/Sources の取得に失敗しました  404 Not Found [IP: 91.189.88.40 80]
http://ppa.launchpad.net/team-xbmc/jaunty-ppa/ubuntu/dists/jaunty/main/binary-i386/Packages の取得に失敗しました  404 Not Found
http://security.ubuntu.com/ubuntu/dists/jaunty-security/multiverse/binary-i386/Packages の取得に失敗しました  404 Not Found [IP: 91.189.92.166 80]
http://archive.ubuntu.com/ubuntu/dists/jaunty/restricted/source/Sources の取得に失敗しました  404 Not Found [IP: 91.189.88.40 80]
いくつかのインデックスファイルのダウンロードに失敗しました。これらは無視されるか、古いものが代わりに使われます。

こちらの画面は閉じて。

アップデートマネージャに戻ると新しいディストリビューション10.04.3 LTS にアップグレードできます
の文字が出ており、アップグレードボタンをクリック

→ リリースノートの画面でアップデートボタンをクリック

→ アップグレードができません
An upgrade from jaunty to lucid is not supported with this tool

となり閉じるボタンしかないので、閉じる

といった症状になります。症状が解決すればアップデートして、引き続き利用したいと考えております。
どなたかご存知の方がいらっしゃいましたら、教えて頂けますでしょうか。
よろしくお願いいたします。

オフライン

 

#2 2011-11-21 14:59:03

hellfire
メンバ
From: 日本/兵庫県
登録日: 2006-11-21

Re: Ubunt 9.04からアップデートが出来ない

sk0809 様へ.

症状を見る限り,Ubuntu 9.04 が EOL(End of life)しているのが原因かと思われます.
つまり,サポート期限切れです.そのため,必要パッケージがダウンロードできません.

また,Ubuntu の LTS でないバージョンは,バージョンを一つずつ上げていくことでしか
アップグレードできなかったと記憶しております.
9.04 の次のバージョンは 9.10 なのですが,これも EOL しています.


問題を解決する手段はあるかもしれませんが,
問題解決するための手間や解決後の状態の不安定さが残る可能性を考慮すると,
必要データをバックアップした上で,再度クリーンインストールされることをお勧め致します.


今後は Ubuntu をインストールする場合は,インストールするバージョンの EOL に注意してください.
もし,長期間使いたい場合は,LTS をインストールされることをお勧め致します.

オフライン

 

#3 2011-11-21 15:22:21

petitbootang
メンバ
From: 東京都
登録日: 2009-02-12

Re: Ubunt 9.04からアップデートが出来ない

9.04 は既にサポート外になっているため、リポジトリが無効になっておりアップグレード不能になります。
また、helfire さんがご指摘の通り、9.10 もサポート外になっております。
LTS から LTS へは直接アップグレードが出来ますが、通常バージョンは1つずつアップグレードしていくしかありませんので、下記のように old-releases を経由して、まず 9.10 にアップグレードしてください。

システム->システム管理->ソフトウェア・ソース->サードパーティのソフトウェアタブを開いて追加ボタンをクリックし、下記の APT ラインを順次追加していきます。
deb http://old-releases.ubuntu.com/ubuntu/ karmic main restricted universe multiverse
deb http://old-releases.ubuntu.com/ubuntu/ karmic-updates main restricted universe multiverse
deb http://old-releases.ubuntu.com/ubuntu/ karmic-security main restricted universe multiverse

終了したら再読込ボタンをクリックします。
ソフト・ウェアソースは終了し、システム->システム管理->アップデート・マネージャを開きます。
新しいディストリビューション '9.10' にアップグレードできます、と表示されるはずですので、アップグレードボタンをクリックしてください。
このとき、一部のアップデートだけがインストールされました、と言うダイアログが表示されますので、部分的なアップグレードボタンをクリックして、あとは指示に従ってください。

一通り作業が終了して再起動したら端末に、
$ lsb_release -a
とタイプして Enter
下記のように返ってくることを確認してください。

No LSB modules are available.
Distributor ID:    Ubuntu
Description:    Ubuntu 9.10
Release:    9.10
Codename:    karmic

9.10 にアップグレードしたら、あとはアップデート・マネージャから 10.04 にアップグレードしてください。
通常のアップグレード操作で可能なはずですが、もし出来なければエラー内容等を再度ご投稿ください。

オフライン

 

#4 2011-11-21 20:27:39

sk0809
新しいメンバ
From: chiba
登録日: 2011-11-21

Re: Ubunt 9.04からアップデートが出来ない

hellfireさん、petitbootangさん、はじめましてsk0809です。早速の返信ありがとうございます。

滅茶苦茶助かりました。順にアップデートしていき無事10.04.3 LTSにこぎつけました。
本当にありがとうございます!!!!

Ubuntu 9.10にアップデートしたあたりで、原因がわからないのですが、ネットにつながらなくなり悪戦苦闘しましたが、夕方あたりからまたネットにもつながった為、作業を続け、やっと10.04.3 LTSにこぎつけました(!!嬉!!感謝!!)

せっかくの休みが、この作業で殆どつぶれてしまいましたが、ここに相談していなかったら絶対に解決できなかったと思っています。
またこれからも色々とご相談させて頂く事があるかと思いますが、またその時はよろしくお願いします。

オフライン

 

Board footer

Powered by FluxBB